运维开发网

RedHat6.5_x64安装QtSDK失败:You need a C++ compiler。。。

运维开发网 https://www.qedev.com 2021-04-21 12:21 出处:51CTO 作者:006玩命
RedHat6.5 64位系统上安装QtSDK时,报:You need a C++ compiler.错误,解决方法如下。

## 概述

RedHat6.5 64位系统上安装QtSDK时,报:**You need a C++ compiler. Please install it using the System Pack

You need a C++ compiler. Please install it using the System Package Management tools.** 错误。

网上搜索后确定,原因是我安装RedHat系统时,未勾选C++开发环境对应的包。现在只好自己手动安装。

好在,RedHat安装镜像中是有对应的包的,直接复制大系统中,手动安装即可。

## 方法

在Redhat镜像的Packages文件夹下,找到下述包,手动安装即可。

rpm -ivh glibc-headers-2.12-1.132.el6.x86_64.rpm
rpm -ivh glibc-devel-2.12-1.132.el6.x86_64.rpm
rpm -ivh cpp-4.4.7-4.el6.x86_64.rpm
rpm -ivh libgomp-4.4.7-4.el6.x86_64.rpm
rpm -ivh libstdc++-4.4.7-4.el6.x86_64.rpm
rpm -ivh gcc-4.4.7-4.el6.x86_64.rpm
rpm -ivh gcc-c++-4.4.7-4.el6.x86_64.rpm
rpm -ivh glibc-devel-2.12-1.132.el6.x86_64.rpm
rpm -ivh libstdc++-devel-4.4.7-4.el6.x86_64.rpm
rpm -ivh gcc-c++-4.4.7-4.el6.x86_64.rpm
rpm -ivh gdb-7.2-60.el6_4.1.x86_64.rpm

有些已经存在了,按序执行一遍即可。

手动安装完成后,终端输入:

gcc -v
g++ -v
gdb -v

都没报错,说明C++开发环境安装完成,然后就可以安装QtSDK了。

0

精彩评论

暂无评论...
验证码 换一张
取 消